Support » Plugin: Simple Real Estate Pack » Getting Parse error: syntax error, unexpected T_STRING

  • I am no longer able to access my dashboard or website because I am getting the following error:

    Parse error: syntax error, unexpected T_STRING in /home/content/43/8506943/html/wp-content/plugins/simple-real-estate-pack-4/includes/srp-yelp.php on line 99

    So I am unable to uninstall or disable the plugin, update it, download it, or edit it.

    My site is liveatlantaga.com

    Please help!
    Thanks,

Viewing 9 replies - 1 through 9 (of 9 total)
  • Hello Ariel,

    here is the fix. in the below file.
    replace the line number 99 with
    $yelpApi = new YelpApi();

    My email ID is [redacted]

    [Moderator note: please do not offer or ask for off-forum contact.]

    forgot to mention the file path.
    /home/content/43/8506943/html/wp-content/plugins/simple-real-estate-pack-4/includes/srp-yelp.php

    line number 99
    previous code is
    $yelpApi = new \srp\yelp\YelpApi();

    new code will be
    $yelpApi = new YelpApi();

    jasminehughes4

    (@jasminehughes4)

    Hi I’m having the same problem, only with a different line…

    Parse error: syntax error, unexpected T_FUNCTION in /home/seedicbw/www.seedingthefuture.co.uk/wp-content/themes/the-monday/inc/the-monday-functions.php on line 414

    jasminehughes4

    (@jasminehughes4)

    The problem for me happened after I tried to upload a new theme, if that helps?

    Hi jasmine,

    Can you paste that line over here.

    Thread Starter realestatebave

    (@realestatebave)

    I can’t access the dashboard to make any changes.

    Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    Side note and very much off topic: @sbhuvan A quick way to get permanently banned from these forums is to seek contact off of these forums.

    As it was edited above, please do not offer or ask for off-forum contact.

    Plugin Contributor Max Chirkov

    (@maxchirkov)

    @realestatebave I can not reproduce that error. What version of the plugin are you on? As well as what’s your PHP version?

    I have a feeling that you may be on a very old version of PHP – versions prior to 5.3 do not support namespaces. That’s what I think is happening. You may need to update to at least version 5.6, since it’s the oldest supported version by PHP (http://php.net/supported-versions.php)

    Any plans to push out a release that fixes the breaking change on line 99 of srp-yelp.php?

    I’ve made the manual change for a client but obviously this will be resolved on your end and pushed out eventually…

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Getting Parse error: syntax error, unexpected T_STRING’ is closed to new replies.